.sidebar
    min-height: 100vh
    width: 225px
    position: relative
    // transition: width 0.3s
    &:after 
        position: absolute
        top: 0
        bottom: 0
        right: 0
        height: 100%
        width: 100px
        transform: translateX(100%)
        content: ''
        z-index: 0
    &:hover
        .sidebar__hide-btn
            opacity: 1
            visibility: visible
    // max-width: 225px !important

.sidebar-header
    height: 70px
    border-color: rgba(255,255,255,0.15) !important

.sidebar__list
    min-height: calc(100vh - 70px)
    // min-width: 225px
    // max-width: 225px

.sidebar__list-pic
    position: relative
    display: flex

.sidebar-item-link
    font-family: Roboto-Medium
    font-size: 14px
    color: $primary
    transition: transform 0.5s
    white-space: nowrap
    display: block
    position: relative
    &:after
        position: absolute
        content: ''
        width: 100%
        height: 100%
        transform: translateX(-100%)
        top: 0
        right: 0
        display: block

.sidebar-sub-item-link
    font-family: Roboto-Regular
    font-size: 12px
    color: $light-text
    letter-spacing: 0
    white-space: nowrap

.sidebar-sub-menu-box

.is-active-bg-color
    background-color: $light-grey-bg

.sidebar__hide-btn
    cursor: pointer
    position: relative
    background: $primary
    font-size: 0
    padding: 0
    margin: 0
    transition: all 0.5s
    top: 50%
    right: -2%
    width: 20px
    height: 20px
    // transform: translateX(-50%) translateY(-50%)
    position: absolute
    background-color: transparent
    border: none
    opacity: 0
    visibility: hidden
    transition: all 0.5s
    z-index: 2
    &:focus
        outline: none
    &:after
        transition: all 0.5s
        right: 0
        top: 50%
        border: solid transparent
        content: " "
        height: 10px
        width: 10px
        position: absolute
        pointer-events: none
        border-color: transparent
        border-right-color: $border-color
        border-width: 10px
        margin-top: -10px
        transform: translateX(-30%)
    &:hover
         &:after
            border-right-color: $primary

.sidebar__list-content
    transition: transform 0.3s
    width: 100%

.sidebar-is-hidden
    .sidebar-header
        padding: 10px !important
    .sidebar
        // overflow: hidden
        // width: 70px
        min-width: unset
    .sidebar__hide-btn
        transform: rotate(180deg)
        opacity: 1
        visibility: visible
        right: -20%
        z-index: 2
    // .sidebar__list-content
    //     opacity: 0
        // opacity: 0
    .sidebar__list
        width: 100%
        overflow: hidden
